Summary:        ELSA is an enhanced Linux system accounting
Name:           elsa
Version:        1.4
Release:        4%{?dist}

Group:          Applications/System
License:        GPLv2+
URL:            http://elsa.sourceforge.net   
Source0:        elsa-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


# As connector are available since linux 2.6.15 (maybe 2.6.14) we need 
# a version superior or equal to 2.6.15
BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  kernel-headers >= 2.6.15
Requires:       psacct
Requires:       python 


%description
We want to improve the Linux accounting. The current BSD-accounting provides
accounting information but only for one process. We want to extend this to 
a group of processes. Thus, we need to be able to manage groups of processes 
in order to perform a per-groug-of-processes accounting. One of properties is
if a process is in a group, its children will be in the same group. In this 
project we use the process events connector to catch the creation of a new 
process and we propose a user space solution for managing groups of processes. 

%define kversion `rpm -q kernel-headers | head -n 1 | cut --delimiter='-' -f 3,4`

%prep
%setup -q

%build
CFLAGS="%{optflags}" make %{?_smp_mflags} USER_INCLUDES=-I/usr/src/kernels/%{kversion}-%{_host_cpu}/include

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/elsa
%{_bindir}/jobmng
%{_sbindir}/jobd
%{_mandir}/man1/elsa*
%{_mandir}/man1/jobmng*
%doc -P ChangeLog COPYING README HOWTO utils/test_elsa_installation.sh

%changelog
* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.4-4
- fix license tag

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-3
- Autorebuild for GCC 4.3

* Tue Nov 21 2006 Guillaume Thouvenin <guillaume.thouvenin@bull.net> - 1.4-2
- Add a reference about release 1.4 and being submitted for FC6 in the 
  NEWS file
- Remove the TODO file because there is only a reference to webmin that is now 
  a part of another package

* Tue Nov 7 2006 Guillaume Thouvenin <guillaume.thouvenin@bull.net> - 1.4-1
- Add connector.h header file in jobd/jobd.c
- Use kernel-headers dependancy instead of kernel-devel
- Use a new definition of kversion but it is a quick fix

* Thu Sep 7 2006 Guillaume Thouvenin <guillaume.thouvenin@bull.net> - 1.3.0-2
- Remove webmin directory. The webmin module is now an add-on that 
  can be downloaded from elsa.sf.net
- Add a script that tests if the running system is using BSD Process
  Accounting version 3 and if the usage of 'jobs' is okay.

* Thu Aug 31 2006 Guillaume Thouvenin <guillaume.thouvenin@bull.net> - 1.3.0-1
- First release
